## play.it 2.10.0

=== Makefile ===
.PHONY: all

prefix = /usr/local
bindir = $(prefix)/games
datadir = $(prefix)/share/games
mandir = $(prefix)/share/man

PANDOC := $(shell command -v pandoc 2> /dev/null)

all: libplayit2.sh play.it.6

libplayit2.sh: play.it-2/src/*
	cat play.it-2/src/* > play.it-2/lib/libplayit2.sh

%.6: %.6.md
ifneq ($(PANDOC),)
	$(PANDOC) --standalone $< --to man --output $@
else
	@echo "pandoc not installed; skipping $@"
endif

clean:
	rm -f play.it-2/lib/libplayit2.sh
	rm -f *.6

install:
	mkdir -p $(DESTDIR)$(bindir)
	cp -a play.it $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(datadir)/play.it
	cp -a play.it-2/lib/libplayit2.sh play.it-2/games/* $(DESTDIR)$(datadir)/play.it
ifneq ($(PANDOC),)
	mkdir -p $(DESTDIR)$(mandir)/man6
	gzip -c play.it.6 > $(DESTDIR)$(mandir)/man6/play.it.6.gz
endif

uninstall:
	rm $(DESTDIR)$(bindir)/play.it
	rm -r $(DESTDIR)$(datadir)/play.it
	rm -f $(DESTDIR)$(mandir)/man6/play.it.6.gz

=== debian/changelog ===
play.it (2.10.0-1) unstable; urgency=medium

  [ Phil Morrell ]
  * New upstream release.
  * bsdtar is transitional.
    Thanks to Antoine Le Gonidec
  * add pandoc to Build-Depends for manpage
  * bump Standards-Version, no changes needed
  * install README.md

 -- Phil Morrell <debian@emorrp1.name>  Sat, 18 Aug 2018 16:39:45 +0100

play.it (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * move common dependencies to Recommends

 -- Phil Morrell <debian@emorrp1.name>  Wed, 25 Jul 2018 00:16:06 +0100

play.it (2.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #898372)

 -- Phil Morrell <debian@emorrp1.name>  Wed, 13 Jun 2018 07:01:53 +0100

=== debian/control ===
Source: play.it
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
Uploaders: Phil Morrell <debian@emorrp1.name>
Build-Depends:
 debhelper (>= 11),
 pandoc,
Standards-Version: 4.2.0
Homepage: https://www.dotslashplay.it/
Vcs-Git: https://salsa.debian.org/games-team/play.it.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it

Package: play.it
Architecture: all
Depends:
 fakeroot,
 ${misc:Depends},
Recommends:
 imagemagick,
 libarchive-tools,
Suggests:
 icoutils,
 innoextract,
 unar,
 unzip,
Description: Installer for drm-free commercial games
 The ./play.it tool builds .deb and .pkg packages from installers for Windows
 or Linux, mainly those sold by GOG and Humble Bundle. The goal is that a game
 installed via ./play.it is indistinguishable from a game installed via the
 official repositories of your favorite distribution.
 .
 The games are installed globally on multi-user systems, avoiding unnecessary
 duplication. The locations of save games, settings, mods, temporary files and
 backups are standardized with XDG Base Directory support.
 .
 Packaging the games simplifies future updates, uninstalls and handling of any
 necessary dependencies, including integrated obsolete dependencies if specific
 versions are needed.

## play.it 2.11.0

=== debian/changelog ===
play.it (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * use normal team Maintainer address for DDPO
  * bump S-V, debhelper, no changes needed

 -- Phil Morrell <debian@emorrp1.name>  Fri, 01 Feb 2019 10:51:22 +0000

play.it (2.10.3-1) unstable; urgency=medium

  * New upstream release.
  * refresh upstream key for new expiry date

 -- Phil Morrell <debian@emorrp1.name>  Sun, 14 Oct 2018 19:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: play.it
 Section: contrib/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Phil Morrell <debian@emorrp1.name>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  pandoc,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://www.dotslashplay.it/
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://framagit.org/vv221/play.it/tags \
  (?:.*/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://framagit.org/vv221/play.it/tags \
  (?:.*/)@PACKAGE@@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it 2.12.0

=== debian/changelog ===
play.it (2.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Phil Morrell <debian@emorrp1.name>  Sun, 09 Aug 2020 06:12:47 +0100

play.it (2.11.4-1) unstable; urgency=medium

  * New upstream release.
  * suggest convmv for lowercasing performance
  * change upstream hosting to forge.dotslashplay.it
  * bump S-V, debhelper, no changes needed

 -- Phil Morrell <debian@emorrp1.name>  Mon, 18 May 2020 23:57:35 +0100

=== debian/control ===
Source: play.it
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Phil Morrell <debian@emorrp1.name>
Build-Depends:
 debhelper-compat (= 13),
 pandoc,
Standards-Version: 4.5.0
Homepage: https://www.dotslashplay.it/
Vcs-Git: https://salsa.debian.org/games-team/play.it.git
Vcs-Browser: https://salsa.debian.org/games-team/play.it

Package: play.it
Architecture: all
Depends:
 fakeroot,
 ${misc:Depends},
Recommends:
 imagemagick,
 libarchive-tools,
Suggests:
 convmv,
 icoutils,
 innoextract,
 unar,
 unzip,
Description: Installer for drm-free commercial games
 The ./play.it tool builds native packages from installers for Windows or
 Linux, mainly those sold by stores focusing on DRM-free games distribution.
 The goal is that a game installed via ./play.it is indistinguishable from a
 game installed via the official repositories of your favourite distribution.
 .
 The games are installed globally on multi-user systems, avoiding unnecessary
 duplication. The locations of save games, settings, mods, temporary files and
 backups are standardized with XDG Base Directory support.
 .
 Packaging the games simplifies future updates, uninstalls and handling of any
 necessary dependencies, including integrated obsolete dependencies if specific
 versions are needed.

## play.it 2.12.1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,28 @@
 .PHONY: all
 
-prefix = /usr/local
-bindir = $(prefix)/games
-datadir = $(prefix)/share/games
-mandir = $(prefix)/share/man
+UID := $(shell id --user)
+
+ifeq ($(UID),0)
+    prefix = /usr/local
+    bindir = $(prefix)/games
+    datadir = $(prefix)/share/games
+    mandir = $(prefix)/share/man
+else
+    ifeq ($(XDG_DATA_HOME),)
+        XDG_DATA_HOME := $(HOME)/.local/share
+    endif
+    prefix = $(XDG_DATA_HOME)
+    bindir = $(HOME)/bin
+    datadir = $(prefix)
+    mandir = $(prefix)/man
+endif
 
 PANDOC := $(shell command -v pandoc 2> /dev/null)
 
 all: libplayit2.sh play.it.6
 
 libplayit2.sh: play.it-2/src/*
+	mkdir --parents play.it-2/lib
 	cat play.it-2/src/* > play.it-2/lib/libplayit2.sh
 
 %.6: %.6.md
@@ -35,5 +48,9 @@
 
 uninstall:
 	rm $(DESTDIR)$(bindir)/play.it
-	rm -r $(DESTDIR)$(datadir)/play.it
-	rm -f $(DESTDIR)$(mandir)/man6/play.it.6.gz
+	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(bindir) || true
+	rm $(DESTDIR)$(datadir)/play.it/libplayit2.sh
+	rm $(DESTDIR)$(datadir)/play.it/play-*.sh
+	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(datadir)/play.it
+	rm --force $(DESTDIR)$(mandir)/man6/play.it.6.gz
+	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(mandir)/man6

=== debian/changelog ===
play.it (2.12.1-1) unstable; urgency=medium

  * New upstream release.
  * support Rules-Requires-Root: no

 -- Phil Morrell <debian@emorrp1.name>  Tue, 08 Dec 2020 02:30:23 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  pandoc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.dotslashplay.it/
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it
+Rules-Requires-Root: no
 
 Package: play.it
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr bindir=/usr/games datadir=/usr/share/games mandir=/usr/share/man

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://forge.dotslashplay.it/play.it/scripts/-/tags \
  (?:.*/)scripts@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://forge.dotslashplay.it/play.it/scripts/-/tags \
  (?:.*/)scripts@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it 2.13.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: all
+.PHONY: all clean install uninstall install-library install-games install-wrapper install-manpage
 
 UID := $(shell id --user)
 
@@ -36,15 +36,25 @@
 	rm -f play.it-2/lib/libplayit2.sh
 	rm -f *.6
 
-install:
-	mkdir -p $(DESTDIR)$(bindir)
-	cp -a play.it $(DESTDIR)$(bindir)
-	mkdir -p $(DESTDIR)$(datadir)/play.it
-	cp -a play.it-2/lib/libplayit2.sh play.it-2/games/* $(DESTDIR)$(datadir)/play.it
-ifneq ($(PANDOC),)
-	mkdir -p $(DESTDIR)$(mandir)/man6
+install-library:
+	install -D --mode=644 play.it-2/lib/libplayit2.sh $(DESTDIR)$(datadir)/play.it/libplayit2.sh
+
+install-games:
+	install -D --mode=755 --target-directory=$(DESTDIR)$(datadir)/play.it play.it-2/games/*
+
+install-wrapper:
+	install -D --mode=755 play.it $(DESTDIR)$(bindir)/play.it
+
+install-manpage:
+ifneq ($(wildcard play.it.6),)
+	mkdir --parents $(DESTDIR)$(mandir)/man6
 	gzip -c play.it.6 > $(DESTDIR)$(mandir)/man6/play.it.6.gz
+else
+	@echo "manpage not generated; skipping its installation"
 endif
+
+
+install: install-library install-games install-wrapper install-manpage
 
 uninstall:
 	rm $(DESTDIR)$(bindir)/play.it

=== debian/changelog ===
play.it (2.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch
    fix fetching upstream-provided tarball signatures
  * Add myself (Antoine) to the uploaders list

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 16 Aug 2021 19:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Phil Morrell <debian@emorrp1.name>
+Uploaders:
+ Phil Morrell <debian@emorrp1.name>,
+ Antoine Le Gonidec <debian@dotslashplay.it>
 Build-Depends:
  debhelper-compat (= 13),
  pandoc,

=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,6 @@
   (?:.*/)scripts@ANY_VERSION@@ARCHIVE_EXT@
 
 opts="pgpmode=previous" \
-  https://forge.dotslashplay.it/play.it/scripts/-/tags \
+  https://downloads.dotslashplay.it/releases/ \
   (?:.*/)scripts@ANY_VERSION@@SIGNATURE_EXT@ \
   previous

## play.it 2.15.1

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,11 @@
         XDG_DATA_HOME := $(HOME)/.local/share
     endif
     prefix = $(XDG_DATA_HOME)
-    bindir = $(HOME)/bin
+    bindir = $(HOME)/.local/bin
     datadir = $(prefix)
     mandir = $(prefix)/man
 endif
+gamesdir = $(DESTDIR)$(datadir)/play.it/games
 
 PANDOC := $(shell command -v pandoc 2> /dev/null)
 
@@ -40,7 +41,7 @@
 	install -D --mode=644 play.it-2/lib/libplayit2.sh $(DESTDIR)$(datadir)/play.it/libplayit2.sh
 
 install-games:
-	install -D --mode=755 --target-directory=$(DESTDIR)$(datadir)/play.it play.it-2/games/*
+	install -D --mode=755 --target-directory=$(gamesdir)/50_core play.it-2/games/*
 
 install-wrapper:
 	install -D --mode=755 play.it $(DESTDIR)$(bindir)/play.it
@@ -59,8 +60,9 @@
 uninstall:
 	rm $(DESTDIR)$(bindir)/play.it
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(bindir) || true
+	rm $(gamesdir)/50_core/play-*.sh
+	rmdir -p --ignore-fail-on-non-empty $(gamesdir)/50_core
 	rm $(DESTDIR)$(datadir)/play.it/libplayit2.sh
-	rm $(DESTDIR)$(datadir)/play.it/play-*.sh
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(datadir)/play.it
 	rm --force $(DESTDIR)$(mandir)/man6/play.it.6.gz
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(mandir)/man6

=== debian/changelog ===
play.it (2.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 17 Sep 2022 00:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Phil Morrell <debian@emorrp1.name>,
- Antoine Le Gonidec <debian@dotslashplay.it>
+ Antoine Le Gonidec <debian@dotslashplay.it>,
 Build-Depends:
  debhelper-compat (= 13),
  pandoc,

=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,6 @@
   (?:.*/)scripts@ANY_VERSION@@ARCHIVE_EXT@
 
 opts="pgpmode=previous" \
-  https://downloads.dotslashplay.it/releases/ \
+  https://downloads.dotslashplay.it/releases/@ANY_VERSION@/ \
   (?:.*/)scripts@ANY_VERSION@@SIGNATURE_EXT@ \
   previous

## play.it 2.27.1

=== debian/changelog ===
play.it (2.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 28 Nov 2023 15:23:59 +0100

play.it (2.27.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Thu, 26 Oct 2023 17:06:59 +0200

play.it (2.26.3-1) unstable; urgency=medium

  * New upstream release.
  * Add dependencies (Recommends) on the packages providing game scripts:
    - play.it-community
    - play.it-vv221
    See /usr/share/doc/play.it/NEWS.Debian.gz for more details.
  * Add packages required to run tests to the build-dependencies list.
  * Drop pandoc from the list of build-dependencies.
  * Update upstream project Web page URL.
  * Update debian/watch to no longer rely on parsing GitLab URLs.
  * Update debian/copyright with the upstream authors list.
  * Bump Standards-Version to 4.6.2

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 23 Oct 2023 13:01:48 +0200

## play.it 2.27.2

=== Makefile ===
# Build the library

.PHONY: all clean

## The debug code is omitted unless DEBUG is set to 1.
DEBUG := 0

all: lib/libplayit2.sh

lib/libplayit2.sh: src/*/*.sh
	mkdir --parents lib
ifeq ($(DEBUG),1)
	find src -type f -name '*.sh' -print0 | sort -z | xargs -0 cat > lib/libplayit2.sh
	sed -i -e 's/%%DEBUG_DISABLED%%/0/' lib/libplayit2.sh
else
	find src -type f -name '*.sh' \! -path 'src/80_debug/*' -print0 | sort -z | xargs -0 cat > lib/libplayit2.sh
	sed -i -e '/^\s*debug_/d' -e 's/%%DEBUG_DISABLED%%/1/' lib/libplayit2.sh
endif

clean:
	rm --force lib/libplayit2.sh


# Install the library, main script, and man pages

.PHONY: install uninstall

## Set the default install paths
UID := $(shell id --user)
ifeq ($(UID),0)
    prefix = /usr/local
    bindir = $(prefix)/games
    datadir = $(prefix)/share/games
    mandir = $(prefix)/share/man
else
    ifeq ($(XDG_DATA_HOME),)
        XDG_DATA_HOME := $(HOME)/.local/share
    endif
    prefix = $(XDG_DATA_HOME)
    bindir = $(HOME)/.local/bin
    datadir = $(prefix)
    mandir = $(prefix)/man
endif

install: all
	install -D --mode=644 lib/libplayit2.sh $(DESTDIR)$(datadir)/play.it/libplayit2.sh
	install -D --mode=755 play.it $(DESTDIR)$(bindir)/play.it
	install -D --mode=644 man/man6/play.it.6 $(DESTDIR)$(mandir)/man6/play.it.6
	install -D --mode=644 man/fr/man6/play.it.6 $(DESTDIR)$(mandir)/fr/man6/play.it.6

uninstall:
	rm --force $(DESTDIR)$(bindir)/play.it $(DESTDIR)$(datadir)/play.it/libplayit2.sh $(DESTDIR)$(mandir)/man6/play.it.6 $(DESTDIR)$(mandir)/fr/man6/play.it.6
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(bindir) $(DESTDIR)$(datadir)/play.it $(DESTDIR)$(mandir)/man6 $(DESTDIR)$(mandir)/fr/man6


# Release preparation

.PHONY: dist

## The generated tarball is signed with gpg by default,
## NO_SIGN should be set to a non-0 value to skip the signature.
NO_SIGN := 0

dist: VERSION := $(shell head --lines=1 CHANGELOG)
dist: TARBALL := play.it-$(VERSION).tar.gz
dist: TAR_OPTIONS := --sort=name --mtime=2017-06-14 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/gitlab/gitlab-ci.yml tests/shunit2/coverage.sh tests/shunit2/*/*.sh
	mkdir --parents dist
	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/gitlab/gitlab-ci.yml tests/shunit2/coverage.sh tests/shunit2/*/*.sh
ifeq ($(NO_SIGN),0)
	rm --force dist/$(TARBALL).asc
	gpg --armor --detach-sign dist/$(TARBALL)
endif


# Run tests, including:
# - syntax checks, relying on ShellCheck
# - unit tests, relying on shUnit2
# - man page syntax check

.PHONY: check shellcheck-library shellcheck-wrapper shunit2-coverage shunit2 man-syntax

check: shellcheck-library shellcheck-wrapper shunit2-coverage shunit2 man-syntax

## Expressions don't expand in single quotes, use double quotes for that.
shellcheck-library: SHELLCHECK_EXCLUDE := --exclude=SC2016
## Double quote to prevent globbing and word splitting.
shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC2086
## In POSIX sh, local is undefined.
shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC3043
shellcheck-library: lib/libplayit2.sh
	shellcheck --shell=sh $(SHELLCHECK_EXCLUDE) lib/libplayit2.sh

shellcheck-wrapper: play.it
	shellcheck --external-sources --shell=sh play.it

shunit2-coverage: lib/libplayit2.sh
	./tests/shunit2/coverage.sh

shunit2: lib/libplayit2.sh
	find tests/shunit2/*/ -type f -name '*.sh' -print0 | sort -z | xargs -0 -n1 shunit2

man-syntax: man/man6/play.it.6 man/fr/man6/play.it.6
	man --warnings --encoding=UTF-8 --local-file --troff-device=utf8 --ditroff man/man6/play.it.6 >/dev/null
	man --warnings --encoding=UTF-8 --local-file --troff-device=utf8 --ditroff man/fr/man6/play.it.6 >/dev/null

=== debian/changelog ===
play.it (2.27.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 28 Jan 2024 15:35:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  Antoine Le Gonidec <debian@dotslashplay.it>,
 Build-Depends:
  debhelper-compat (= 13),
- pandoc,
-Standards-Version: 4.5.1
-Homepage: https://www.dotslashplay.it/
+ convmv <!nocheck>,
+ shellcheck <!nocheck>,
+ shunit2 <!nocheck>,
+Standards-Version: 4.6.2
+Homepage: https://forge.dotslashplay.it/play.it/scripts
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it
 Rules-Requires-Root: no
@@ -22,6 +24,8 @@
 Recommends:
  imagemagick,
  libarchive-tools,
+ play.it-community,
+ play.it-vv221,
 Suggests:
  convmv,
  icoutils,

## play.it 2.28.1

=== debian/changelog ===
play.it (2.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 25 May 2024 21:25:41 +0200

play.it (2.28.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Fri, 26 Apr 2024 13:10:09 +0200

play.it (2.27.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 06 Apr 2024 01:22:32 +0200

play.it (2.27.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 19 Mar 2024 19:44:46 +0100

## play.it 2.29.1

=== debian/changelog ===
play.it (2.29.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 29 Jun 2024 18:40:40 +0200

play.it (2.29.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 02 Jun 2024 19:17:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  convmv <!nocheck>,
  shellcheck <!nocheck>,
  shunit2 <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://forge.dotslashplay.it/play.it/scripts
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it
@@ -19,7 +19,6 @@
 Package: play.it
 Architecture: all
 Depends:
- fakeroot,
  ${misc:Depends},
 Recommends:
  imagemagick,

## play.it 2.30.0

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,10 @@
 lib/libplayit2.sh: src/*/*.sh
 	mkdir --parents lib
 ifeq ($(DEBUG),1)
-	find src -type f -name '*.sh' -print0 | sort -z | xargs -0 cat > lib/libplayit2.sh
+	find src -type f -name '*.sh' -print0 | LC_ALL=C sort -z | xargs -0 cat > lib/libplayit2.sh
 	sed -i -e 's/%%DEBUG_DISABLED%%/0/' lib/libplayit2.sh
 else
-	find src -type f -name '*.sh' \! -path 'src/80_debug/*' -print0 | sort -z | xargs -0 cat > lib/libplayit2.sh
+	find src -type f -name '*.sh' \! -path 'src/80_debug/*' -print0 | LC_ALL=C sort -z | xargs -0 cat > lib/libplayit2.sh
 	sed -i -e '/^\s*debug_/d' -e 's/%%DEBUG_DISABLED%%/1/' lib/libplayit2.sh
 endif
 
@@ -64,9 +64,9 @@
 dist: VERSION := $(shell head --lines=1 CHANGELOG)
 dist: TARBALL := play.it-$(VERSION).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2017-06-14 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/gitlab/gitlab-ci.yml tests/shunit2/coverage.sh tests/shunit2/*/*.sh
+dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/coverage.sh tests/shunit2/*/*.sh
 	mkdir --parents dist
-	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/gitlab/gitlab-ci.yml tests/shunit2/coverage.sh tests/shunit2/*/*.sh
+	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/coverage.sh tests/shunit2/*/*.sh
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
@@ -82,8 +82,10 @@
 
 check: shellcheck-library shellcheck-wrapper shunit2-coverage shunit2 man-syntax
 
+## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
+shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC1112
 ## Expressions don't expand in single quotes, use double quotes for that.
-shellcheck-library: SHELLCHECK_EXCLUDE := --exclude=SC2016
+shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC2016
 ## Double quote to prevent globbing and word splitting.
 shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC2086
 ## In POSIX sh, local is undefined.
@@ -98,7 +100,7 @@
 	./tests/shunit2/coverage.sh
 
 shunit2: lib/libplayit2.sh
-	find tests/shunit2/*/ -type f -name '*.sh' -print0 | sort -z | xargs -0 -n1 shunit2
+	find tests/shunit2/*/ -type f -name '*.sh' -print0 | LC_ALL=C sort -z | xargs -0 -n1 shunit2
 
 man-syntax: man/man6/play.it.6 man/fr/man6/play.it.6
 	man --warnings --encoding=UTF-8 --local-file --troff-device=utf8 --ditroff man/man6/play.it.6 >/dev/null

=== debian/changelog ===
play.it (2.30.0-2) unstable; urgency=medium

  * Add tests triggered by autopkgtest.
  * Add missing build-deps required by tests.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sat, 10 Aug 2024 05:40:15 +0200

play.it (2.30.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Fri, 26 Jul 2024 14:26:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  convmv <!nocheck>,
+ file <!nocheck>,
+ man-db <!nocheck>,
  shellcheck <!nocheck>,
  shunit2 <!nocheck>,
 Standards-Version: 4.7.0

## play.it 2.30.1

=== debian/changelog ===
play.it (2.30.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete autopkgtest workarounds.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 20 Oct 2024 17:37:44 +0200

## play.it 2.31.0

=== debian/changelog ===
play.it (2.31.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 04 Nov 2024 15:41:53 +0100

## play.it 2.31.1

=== Makefile ===
--- 
+++ 
@@ -61,12 +61,12 @@
 ## NO_SIGN should be set to a non-0 value to skip the signature.
 NO_SIGN := 0
 
-dist: VERSION := $(shell head --lines=1 CHANGELOG)
-dist: TARBALL := play.it-$(VERSION).tar.gz
+dist: VERSION = $(shell head --lines=1 CHANGELOG)
+dist: TARBALL = play.it-$(VERSION).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2017-06-14 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/coverage.sh tests/shunit2/*/*.sh
+dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/*/*.sh
 	mkdir --parents dist
-	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/coverage.sh tests/shunit2/*/*.sh
+	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/*/*.sh
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
@@ -78,9 +78,9 @@
 # - unit tests, relying on shUnit2
 # - man page syntax check
 
-.PHONY: check shellcheck-library shellcheck-wrapper shunit2-coverage shunit2 man-syntax
+.PHONY: check shellcheck-library shellcheck-wrapper shunit2 man-syntax
 
-check: shellcheck-library shellcheck-wrapper shunit2-coverage shunit2 man-syntax
+check: shellcheck-library shellcheck-wrapper shunit2 man-syntax
 
 ## This is a unicode quote. Delete and retype it (or ignore/doublequote for literal).
 shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC1112
@@ -90,18 +90,19 @@
 shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC2086
 ## In POSIX sh, local is undefined.
 shellcheck-library: SHELLCHECK_EXCLUDE += --exclude=SC3043
-shellcheck-library: lib/libplayit2.sh
+shellcheck-library:
 	shellcheck --shell=sh $(SHELLCHECK_EXCLUDE) lib/libplayit2.sh
 
-shellcheck-wrapper: play.it
+shellcheck-wrapper:
 	shellcheck --external-sources --shell=sh play.it
 
-shunit2-coverage: lib/libplayit2.sh
-	./tests/shunit2/coverage.sh
+SHUNIT2_SCRIPTS := $(wildcard tests/shunit2/*/*.sh)
+SHUNIT2_TESTS := $(addprefix shunit2_, $(SHUNIT2_SCRIPTS))
+.PHONY: $(SHUNIT2_TESTS)
+shunit2: $(SHUNIT2_TESTS)
+$(SHUNIT2_TESTS): shunit2_%: %
+	shunit2 $<
 
-shunit2: lib/libplayit2.sh
-	find tests/shunit2/*/ -type f -name '*.sh' -print0 | LC_ALL=C sort -z | xargs -0 -n1 shunit2
-
-man-syntax: man/man6/play.it.6 man/fr/man6/play.it.6
+man-syntax:
 	man --warnings --encoding=UTF-8 --local-file --troff-device=utf8 --ditroff man/man6/play.it.6 >/dev/null
 	man --warnings --encoding=UTF-8 --local-file --troff-device=utf8 --ditroff man/fr/man6/play.it.6 >/dev/null

=== debian/changelog ===
play.it (2.31.1-1) unstable; urgency=medium

  * New upstream release.
  * Add play.it-adventure to the list of recommended packages.
  * Tweak the priority of recommended and suggested packages.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Thu, 12 Dec 2024 22:52:09 +0100

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,15 @@
 Depends:
  ${misc:Depends},
 Recommends:
+ convmv,
  imagemagick,
- libarchive-tools,
+ play.it-adventure,
  play.it-community,
  play.it-vv221,
 Suggests:
- convmv,
  icoutils,
  innoextract,
+ libarchive-tools,
  unar,
  unzip,
 Description: Installer for drm-free commercial games

## play.it 2.32.0

=== debian/changelog ===
play.it (2.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the link to the upstream home page.
  * Update the package description.
  * Add a DEP-12 compliant upstream metadata file.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Tue, 07 Jan 2025 13:35:00 +0100

## play.it 2.32.1

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,12 @@
 # Build the library
 
 .PHONY: all clean
-
-## The debug code is omitted unless DEBUG is set to 1.
-DEBUG := 0
 
 all: lib/libplayit2.sh
 
 lib/libplayit2.sh: src/*/*.sh
 	mkdir --parents lib
-ifeq ($(DEBUG),1)
 	find src -type f -name '*.sh' -print0 | LC_ALL=C sort -z | xargs -0 cat > lib/libplayit2.sh
-	sed -i -e 's/%%DEBUG_DISABLED%%/0/' lib/libplayit2.sh
-else
-	find src -type f -name '*.sh' \! -path 'src/80_debug/*' -print0 | LC_ALL=C sort -z | xargs -0 cat > lib/libplayit2.sh
-	sed -i -e '/^\s*debug_/d' -e 's/%%DEBUG_DISABLED%%/1/' lib/libplayit2.sh
-endif
 
 clean:
 	rm --force lib/libplayit2.sh

=== debian/changelog ===
play.it (2.32.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Sun, 26 Jan 2025 15:32:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  shellcheck <!nocheck>,
  shunit2 <!nocheck>,
 Standards-Version: 4.7.0
-Homepage: https://forge.dotslashplay.it/play.it/scripts
+Homepage: https://git.dotslashplay.it/scripts/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it
 Rules-Requires-Root: no
@@ -34,9 +34,9 @@
  libarchive-tools,
  unar,
  unzip,
-Description: Installer for drm-free commercial games
- The ./play.it tool builds native packages from installers for Windows or
- Linux, mainly those sold by stores focusing on DRM-free games distribution.
+Description: Installer for DRM-free commercial games
+ play.it is a free software building native packages from installers for Windows
+ or Linux, mainly those sold by stores focusing on DRM-free games distribution.
  The goal is that a game installed via ./play.it is indistinguishable from a
  game installed via the official repositories of your favourite distribution.
  .

=== debian/tests/control ===
Tests: upstream-tests.sh
Depends: @, convmv, file, man-db, shellcheck, shunit2

=== debian/watch ===
version=4

opts="pgpmode=next" \
  https://downloads.dotslashplay.it/releases/@ANY_VERSION@/ \
  (?:.*/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

opts="pgpmode=previous" \
  https://downloads.dotslashplay.it/releases/@ANY_VERSION@/ \
  (?:.*/)@PACKAGE@@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## play.it 2.32.2

=== debian/changelog ===
play.it (2.32.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.

 -- Antoine Le Gonidec <debian@dotslashplay.it>  Mon, 03 Mar 2025 17:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  man-db <!nocheck>,
  shellcheck <!nocheck>,
  shunit2 <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://git.dotslashplay.it/scripts/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it

=== debian/tests/control ===
Tests: upstream-tests.sh
Depends: @, convmv, file, make, man-db, shellcheck, shunit2

## play.it 2.32.3

=== debian/changelog ===
play.it (2.32.3-1) unstable; urgency=medium

  [ Antoine Le Gonidec ]
  * New upstream release.

  [ Christopher Bock ]
  * Add shell completion for zsh.

 -- Antoine Le Gonidec <debian@vv221.fr>  Sat, 29 Mar 2025 12:45:25 +0100

play.it (2.32.2-2) unstable; urgency=medium

  * Update the Uploaders list.
  * Drop the autopkgtest tests suite.
  * Add Recommends: play.it-puzzle.

 -- Antoine Le Gonidec <debian@vv221.fr>  Mon, 17 Mar 2025 17:36:12 +0100

## play.it 2.32.4

=== debian/changelog ===
play.it (2.32.4-1) unstable; urgency=medium

  * New upstream bugfix release, fixing a bug that could lead to storage space
    saturation without any prior warning.

 -- Antoine Le Gonidec <debian@vv221.fr>  Wed, 16 Apr 2025 17:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Phil Morrell <debian@emorrp1.name>,
- Antoine Le Gonidec <debian@dotslashplay.it>,
+ Antoine Le Gonidec <debian@vv221.fr>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-shell-completions,
  convmv <!nocheck>,
  file <!nocheck>,
  man-db <!nocheck>,
@@ -27,6 +27,7 @@
  imagemagick,
  play.it-adventure,
  play.it-community,
+ play.it-puzzle,
  play.it-vv221,
 Suggests:
  icoutils,

## play.it 2.33.1

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
     bindir = $(prefix)/games
     datadir = $(prefix)/share/games
     mandir = $(prefix)/share/man
+    zshdir = $(prefix)/share/zsh
+    fishdir = $(prefix)/share/fish
 else
     ifeq ($(XDG_DATA_HOME),)
         XDG_DATA_HOME := $(HOME)/.local/share
@@ -31,6 +33,8 @@
     bindir = $(HOME)/.local/bin
     datadir = $(prefix)
     mandir = $(prefix)/man
+    zshdir = $(prefix)/zsh
+    fishdir = $(prefix)/fish
 endif
 
 install: all
@@ -39,9 +43,28 @@
 	install -D --mode=644 man/man6/play.it.6 $(DESTDIR)$(mandir)/man6/play.it.6
 	install -D --mode=644 man/fr/man6/play.it.6 $(DESTDIR)$(mandir)/fr/man6/play.it.6
 
-uninstall:
+uninstall: uninstall-completion
 	rm --force $(DESTDIR)$(bindir)/play.it $(DESTDIR)$(datadir)/play.it/libplayit2.sh $(DESTDIR)$(mandir)/man6/play.it.6 $(DESTDIR)$(mandir)/fr/man6/play.it.6
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(bindir) $(DESTDIR)$(datadir)/play.it $(DESTDIR)$(mandir)/man6 $(DESTDIR)$(mandir)/fr/man6
+
+
+# Install shell completion
+
+.PHONY: install-completion-all install-completion-zsh install-completion-fish uninstall-completion
+
+install-completion-all: install-completion-zsh install-completion-fish
+
+install-completion-zsh:
+	install -D --mode=644 shell-completions/zsh/_play.it $(DESTDIR)$(zshdir)/vendor-completions/_play.it
+
+install-completion-fish:
+	install -D --mode=644 shell-completions/fish/play.it.fish $(DESTDIR)$(fishdir)/vendor_completions.d/play.it.fish
+
+uninstall-completion:
+	rm --force $(DESTDIR)$(zshdir)/vendor-completions/_play.it
+	rm --force $(DESTDIR)$(fishdir)/vendor_completions.d/play.it.fish
+	rmdir --parents --ignore-fail-on-non-empty $(DESTDIR)$(zshdir)/vendor-completions
+	rmdir --parents --ignore-fail-on-non-empty $(DESTDIR)$(fishdir)/vendor_completions.d
 
 
 # Release preparation

=== debian/changelog ===
play.it (2.33.1-1) unstable; urgency=medium

  * New upstream release.
  * Expand dependencies list.
  * Fix URL to upstream source.
  * Install upstream changelog.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 26 Aug 2025 14:43:55 +0200

play.it (2.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 10 Aug 2025 13:20:04 +0200

play.it (2.32.8-1) experimental; urgency=medium

  * New upstream release.
  * Drop git-buildpackage configuration.
  * Update package description.
  * Update upstream metadata.
  * Update recommended games collections list.
  * Update upstream contributors list.
  * Update uploaders contact.

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 04 Aug 2025 13:46:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Antoine Le Gonidec <debian@vv221.fr>,
+ Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-shell-completions,
@@ -24,22 +24,34 @@
  ${misc:Depends},
 Recommends:
  convmv,
+ icoutils,
  imagemagick,
  play.it-adventure,
  play.it-community,
  play.it-puzzle,
+ play.it-strategy,
  play.it-vv221,
 Suggests:
- icoutils,
+ 7zip,
+ binwalk,
+ cabextract,
  innoextract,
+ lhasa,
  libarchive-tools,
+ msitools,
+ squashfs-tools,
  unar,
+ unshield,
  unzip,
-Description: Installer for DRM-free commercial games
- play.it is a free software building native packages from installers for Windows
- or Linux, mainly those sold by stores focusing on DRM-free games distribution.
- The goal is that a game installed via ./play.it is indistinguishable from a
- game installed via the official repositories of your favourite distribution.
+Description: Packages generator for DRM-free commercial games
+ play.it is a libre software building packages (such as .deb) from installers
+ for Linux, Windows or MacOS, mainly those sold by stores focusing on DRM-free
+ games distribution. The goal is that a game installed via ./play.it is
+ indistinguishable from a game installed via the official repositories of your
+ favourite distribution.
+ .
+ Linux games are supported, as well as games developed for other systems thanks
+ to tools like Wine, DOSBox and ScummVM.
  .
  The games are installed globally on multi-user systems, avoiding unnecessary
  duplication. The locations of save games, settings, mods, temporary files and

## play.it 2.33.2

=== debian/changelog ===
play.it (2.33.2-1) unstable; urgency=medium

  * New upstream release.
  * Install upstream shell completion files.
  * Drop obsolete Rules-Requires-Root field.
  * Update debian/watch to version 5 format.

 -- Antoine Le Gonidec <vv221@debian.org>  Fri, 19 Sep 2025 19:33:13 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://git.dotslashplay.it/scripts/about/
 Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Vcs-Browser: https://salsa.debian.org/games-team/play.it
-Rules-Requires-Root: no
 
 Package: play.it
 Architecture: all

## play.it 2.33.3

=== debian/changelog ===
play.it (2.33.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete field Priority.
  * Drop unused lintian override.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 30 Sep 2025 15:15:18 +0200

## play.it 2.33.4

=== Makefile ===
--- 
+++ 
@@ -78,9 +78,20 @@
 dist: VERSION = $(shell head --lines=1 CHANGELOG)
 dist: TARBALL = play.it-$(VERSION).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2017-06-14 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/*/*.sh
+dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/fr/man6/play.it.6 shell-completions/zsh/_play.it shell-completions/fish/play.it.fish src/*/*.sh tests/shunit2/*/*.sh
 	mkdir --parents dist
-	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/*/man6/play.it.6 src/*/*.sh tests/shunit2/*/*.sh
+	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) \
+		   CHANGELOG \
+		   LICENSE \
+		   README.md \
+		   Makefile \
+		   play.it \
+		   man/man6/play.it.6 \
+		   man/fr/man6/play.it.6 \
+		   shell-completions/zsh/_play.it \
+		   shell-completions/fish/play.it.fish \
+		   src/*/*.sh \
+		   tests/shunit2/*/*.sh
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)

=== debian/changelog ===
play.it (2.33.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop lintian override about Priority field.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 21 Oct 2025 19:34:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: play.it
 Section: contrib/games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Antoine Le Gonidec <vv221@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with shell_completions

override_dh_auto_install:
	dh_auto_install -- prefix=/usr bindir=/usr/games datadir=/usr/share/games mandir=/usr/share/man

=== debian/watch ===
Version: 5

Source: https://downloads.dotslashplay.it/releases/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.asc%

## play.it 2.34.0

=== debian/changelog ===
play.it (2.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Expand the list of recommended collections.

 -- Antoine Le Gonidec <vv221@debian.org>  Wed, 26 Nov 2025 21:17:17 +0100

=== debian/control ===
--- 
+++ 
@@ -24,9 +24,13 @@
  convmv,
  icoutils,
  imagemagick,
+ play.it-action,
+ play.it-action-adventure,
  play.it-adventure,
  play.it-community,
+ play.it-platform,
  play.it-puzzle,
+ play.it-rpg,
  play.it-strategy,
  play.it-vv221,
 Suggests:

## play.it 2.34.1

=== Makefile ===
--- 
+++ 
@@ -63,8 +63,10 @@
 uninstall-completion:
 	rm --force $(DESTDIR)$(zshdir)/vendor-completions/_play.it
 	rm --force $(DESTDIR)$(fishdir)/vendor_completions.d/play.it.fish
-	rmdir --parents --ignore-fail-on-non-empty $(DESTDIR)$(zshdir)/vendor-completions
-	rmdir --parents --ignore-fail-on-non-empty $(DESTDIR)$(fishdir)/vendor_completions.d
+	test -d $(DESTDIR)$(zshdir)/vendor-completions && \
+		rmdir --parents --ignore-fail-on-non-empty $(DESTDIR)$(zshdir)/vendor-completions || true
+	test -d $(DESTDIR)$(fishdir)/vendor_completions.d && \
+		rmdir --parents --ignore-fail-on-non-empty $(DESTDIR)$(fishdir)/vendor_completions.d || true
 
 
 # Release preparation

=== debian/changelog ===
play.it (2.34.1-1) unstable; urgency=medium

  * New upstream release.
  * Add an explicit copyright notice for Debian packaging files.

 -- Antoine Le Gonidec <vv221@debian.org>  Tue, 09 Dec 2025 17:10:42 +0100

## play.it 2.34.2

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 dist: VERSION = $(shell head --lines=1 CHANGELOG)
 dist: TARBALL = play.it-$(VERSION).tar.gz
 dist: TAR_OPTIONS := --sort=name --mtime=2017-06-14 --owner=root:0 --group=root:0 --use-compress-program='gzip --no-name'
-dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/fr/man6/play.it.6 shell-completions/zsh/_play.it shell-completions/fish/play.it.fish src/*/*.sh tests/shunit2/*/*.sh
+dist: CHANGELOG LICENSE README.md Makefile play.it man/man6/play.it.6 man/fr/man6/play.it.6 shell-completions/zsh/_play.it shell-completions/fish/play.it.fish src/*/*.sh tests/shunit2/*.sh
 	mkdir --parents dist
 	LC_ALL=C tar cf dist/$(TARBALL) $(TAR_OPTIONS) \
 		   CHANGELOG \
@@ -93,7 +93,7 @@
 		   shell-completions/zsh/_play.it \
 		   shell-completions/fish/play.it.fish \
 		   src/*/*.sh \
-		   tests/shunit2/*/*.sh
+		   tests/shunit2/*.sh
 ifeq ($(NO_SIGN),0)
 	rm --force dist/$(TARBALL).asc
 	gpg --armor --detach-sign dist/$(TARBALL)
@@ -102,7 +102,7 @@
 
 # Run tests, including:
 # - syntax checks, relying on ShellCheck
-# - unit tests, relying on shUnit2
+# - regression tests, relying on shUnit2
 # - man page syntax check
 
 .PHONY: check shellcheck-library shellcheck-wrapper shunit2 man-syntax
@@ -123,7 +123,7 @@
 shellcheck-wrapper:
 	shellcheck --external-sources --shell=sh play.it
 
-SHUNIT2_SCRIPTS := $(wildcard tests/shunit2/*/*.sh)
+SHUNIT2_SCRIPTS := $(wildcard tests/shunit2/*.sh)
 SHUNIT2_TESTS := $(addprefix shunit2_, $(SHUNIT2_SCRIPTS))
 .PHONY: $(SHUNIT2_TESTS)
 shunit2: $(SHUNIT2_TESTS)

=== debian/changelog ===
play.it (2.34.2-3) unstable; urgency=medium

  * Package Adoption (Closes: #1128081)
  * Bump Standards-Version to 4.7.3
  * Update d/copyright

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Fri, 20 Feb 2026 20:11:38 +0530

play.it (2.34.2-2) unstable; urgency=medium

  * Orphan the package.
  * Update upstream homepage.

 -- Antoine Le Gonidec <vv221@debian.org>  Sun, 15 Feb 2026 14:51:10 +0100

play.it (2.34.2-1) unstable; urgency=medium

  * New upstream release.
  * Update URL to canonical packaging repository.

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 22 Dec 2025 17:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: play.it
 Section: contrib/games
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Antoine Le Gonidec <vv221@debian.org>,
+Uploaders: Aryan Karamtoth <spaciouscoder78@disroot.org>
+Standards-Version: 4.7.3
+Homepage: https://git.dotslashplay.it/play.it/about/
+Vcs-Browser: https://salsa.debian.org/games-team/play.it/
+Vcs-Git: https://salsa.debian.org/games-team/play.it.git
 Build-Depends:
  debhelper-compat (= 13),
  dh-shell-completions,
@@ -11,10 +14,6 @@
  man-db <!nocheck>,
  shellcheck <!nocheck>,
  shunit2 <!nocheck>,
-Standards-Version: 4.7.2
-Homepage: https://git.dotslashplay.it/scripts/about/
-Vcs-Git: https://salsa.debian.org/games-team/play.it.git
-Vcs-Browser: https://salsa.debian.org/games-team/play.it
 
 Package: play.it
 Architecture: all
